commit: b64e2f6bcf7c9360a891d23fca2a9571d595c801
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 16 07:53:45 2024 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 16 07:53:45 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b64e2f6b
gui-libs/wlroots: partial revert remove wlroots[tinywm]
on stable keyrowrds, firefox still requires wlroots[tinywm], waiting
for tinywm stabling.
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
gui-libs/wlroots/Manifest | 1 +
gui-libs/wlroots/metadata.xml | 1 +
gui-libs/wlroots/wlroots-0.17.2-r1.ebuild | 105 ++++++++++++++++++++++++++++++
3 files changed, 107 insertions(+)
diff --git a/gui-libs/wlroots/Manifest b/gui-libs/wlroots/Manifest
index e749afe959c7..30086ce93de7 100644
--- a/gui-libs/wlroots/Manifest
+++ b/gui-libs/wlroots/Manifest
@@ -1,2 +1,3 @@
+DIST wlroots-0.17.2.tar.gz 606822 BLAKE2B
bbf6e8d0014f6613b39cbb6a0a8e5be395a858a5db8e432307298f20eb37c6622dbc6e078e21d9b8396dd836da1f9787b433549641cc664962eb96a122846edc
SHA512
44a3ec673431c02fc08a5c33daa06148b5e85a3a7ea45b28978cd6be230dd4c5082e8a34985e2976c9e64f98b7567e334c191c3d20141e8e27ddc4a4659843cc
DIST wlroots-0.17.4.tar.gz 609179 BLAKE2B
dc5a7749533ab54631d4a26be554b86e5b08b2472cf8f22ccebddb319d571cbd98a5c56e64e7bc762a5918d4272eb6b4261050288f3053c18c824c6a9c32b96b
SHA512
35803df9fe68cadb0b9b5e522863535407ba2354ed1ca8f824a9c40b64698a97c579fec0afeb444b05d429adc1e3dfc45b20c3a1b7a2004e4f5a10d2305c9116
DIST wlroots-0.18.0.tar.gz 628190 BLAKE2B
b1d725e0397365b69afce24baf5376057a40d225f7cb06ccd5abde3b3da8d5401a6eb5d57ab65154a6faf7961473039833e558e3b25da1210891d34667da5bf9
SHA512
2cf848aa67f41089b60cc7d01c3a344ebaf7f5bbced459675fef885cd4b3e6b99d9a49d6b127518314d0ae38e52e9aff7991611592b2add4cba96f15aa0bf1c6
diff --git a/gui-libs/wlroots/metadata.xml b/gui-libs/wlroots/metadata.xml
index 0948f777752e..53dd6591c5df 100644
--- a/gui-libs/wlroots/metadata.xml
+++ b/gui-libs/wlroots/metadata.xml
@@ -29,6 +29,7 @@
<flag name="liftoff">Enable support for libliftoff KMS plane
backend</flag>
<flag name="libinput">Enable support for input devices via
<pkg>dev-libs/libinput</pkg></flag>
<flag name="session">Enable session support (is required for
DRM and libinput)</flag>
+ <flag name="tinywl">Install the minimal wayland client,
tinywl</flag>
<flag name="x11-backend">Enable support for handling
input/output devices through <pkg>x11-libs/libxcb</pkg></flag>
<flag name="xcb-errors">Better error reporting when using
xwayland</flag>
<flag name="X">Enable support for X11 applications
(XWayland)</flag>
diff --git a/gui-libs/wlroots/wlroots-0.17.2-r1.ebuild
b/gui-libs/wlroots/wlroots-0.17.2-r1.ebuild
new file mode 100644
index 000000000000..d031b7c8cf55
--- /dev/null
+++ b/gui-libs/wlroots/wlroots-0.17.2-r1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Pluggable, composable, unopinionated modules for building a
Wayland compositor"
+HOMEPAGE="https://gitlab.freedesktop.org/wlroots/wlroots"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.freedesktop.org/${PN}/${PN}.git"
+ inherit git-r3
+ SLOT="0/9999"
+else
+
SRC_URI="https://gitlab.freedesktop.org/${PN}/${PN}/-/releases/${PV}/downloads/${P}.tar.gz"
+ KEYWORDS="amd64 arm64 ~loong ppc64 ~riscv x86"
+ SLOT="0/$(ver_cut 2)"
+fi
+
+LICENSE="MIT"
+IUSE="liftoff +libinput +drm +session tinywl vulkan x11-backend xcb-errors X"
+REQUIRED_USE="
+ drm? ( session )
+ libinput? ( session )
+ xcb-errors? ( || ( x11-backend X ) )
+"
+
+DEPEND="
+ >=dev-libs/wayland-1.22.0
+ media-libs/libglvnd
+ || (
+ >=media-libs/mesa-24.1.0_rc1[opengl]
+ <media-libs/mesa-24.1.0_rc1[egl(+),gles2]
+ )
+ >=x11-libs/libdrm-2.4.114
+ x11-libs/libxkbcommon
+ >=x11-libs/pixman-0.42.0
+ drm? (
+ media-libs/libdisplay-info
+ sys-apps/hwdata
+ liftoff? ( >=dev-libs/libliftoff-0.4 )
+ )
+ libinput? ( >=dev-libs/libinput-1.14.0:= )
+ session? (
+ sys-auth/seatd:=
+ virtual/libudev
+ )
+ vulkan? (
+ dev-util/glslang:=
+ dev-util/vulkan-headers
+ media-libs/vulkan-loader
+ )
+ xcb-errors? ( x11-libs/xcb-util-errors )
+ x11-backend? (
+ x11-libs/libxcb:=
+ x11-libs/xcb-util-renderutil
+ )
+ X? (
+ x11-libs/libxcb:=
+ x11-libs/xcb-util-wm
+ x11-base/xwayland
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-libs/wayland-protocols-1.32
+ dev-util/wayland-scanner
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local backends=(
+ $(usev drm)
+ $(usev libinput)
+ $(usev x11-backend 'x11')
+ )
+ local meson_backends=$(IFS=','; echo "${backends[*]}")
+ local emesonargs=(
+ $(meson_feature xcb-errors)
+ $(meson_use tinywl examples)
+ -Drenderers=$(usex vulkan 'gles2,vulkan' gles2)
+ $(meson_feature X xwayland)
+ -Dbackends=${meson_backends}
+ $(meson_feature session)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ dodoc docs/*
+
+ if use tinywl; then
+ dobin "${BUILD_DIR}"/tinywl/tinywl
+ fi
+}
+
+pkg_postinst() {
+ elog "You must be in the input group to allow your compositor"
+ elog "to access input devices via libinput."
+}